jws_t Struct Reference
JWK, JWKS, JWS, JWE type

`#include <rhonabwy.h>`

## Data Fields

unsigned char * | header_b64url
unsigned char * | payload_b64url
unsigned char * | signature_b64url
json_t * | j_header
jwa_alg | alg
jwks_t * | jwks_privkey
jwks_t * | jwks_pubkey
unsigned char * | payload
size_t | payload_len
json_t * | j_json_serialization
int | token_mode

## Field Documentation

## header_b64url

unsigned char* jws_t::header_b64url

## payload_b64url

unsigned char* jws_t::payload_b64url

## signature_b64url

unsigned char* jws_t::signature_b64url

## j_header

json_t* jws_t::j_header

## alg

jwa_alg jws_t::alg

## jwks_privkey

jwks_t* jws_t::jwks_privkey

## jwks_pubkey

jwks_t* jws_t::jwks_pubkey

## payload

unsigned char* jws_t::payload

## payload_len

size_t jws_t::payload_len

## j_json_serialization

json_t* jws_t::j_json_serialization

## token_mode

int jws_t::token_mode

The documentation for this struct was generated from the following file:

- include/rhonabwy.h